Update a DEX Rule
PATCH/accounts/{account_id}/dex/rules/{rule_id}
Update a DEX Rule
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Update a DEX Rule
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dex/rules/$RULE_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2023-07-16 15:00:00+00",
"match": "match",
"name": "name",
"description": "description",
"targeted_tests": [
{
"data": {
"host": "https://dash.cloudflare.com",
"kind": "http",
"method": "GET"
},
"enabled": true,
"name": "name",
"test_id": "test_id"
}
],
"updated_at": "2023-07-16 15:00:00+00"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"created_at": "2023-07-16 15:00:00+00",
"match": "match",
"name": "name",
"description": "description",
"targeted_tests": [
{
"data": {
"host": "https://dash.cloudflare.com",
"kind": "http",
"method": "GET"
},
"enabled": true,
"name": "name",
"test_id": "test_id"
}
],
"updated_at": "2023-07-16 15:00:00+00"
}
}